package com.neusoft.smart.pos.printer.persistent.mapper;

import com.neusoft.smart.pos.printer.persistent.domain.PrinterTaskLog;
import com.neusoft.smart.pos.printer.persistent.domain.PrinterTaskLogExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PrinterTaskLogMapper {
    int countByExample(PrinterTaskLogExample example);

    int deleteByExample(PrinterTaskLogExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(PrinterTaskLog record);

    int insertSelective(PrinterTaskLog record);

    List<PrinterTaskLog> selectByExample(PrinterTaskLogExample example);

    PrinterTaskLog selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") PrinterTaskLog record, @Param("example") PrinterTaskLogExample example);

    int updateByExample(@Param("record") PrinterTaskLog record, @Param("example") PrinterTaskLogExample example);

    int updateByPrimaryKeySelective(PrinterTaskLog record);

    int updateByPrimaryKey(PrinterTaskLog record);

    void batchInsert(@Param("items") List<PrinterTaskLog> items);
}